/*
   Program..: DCBITMAP.CH
   Author...: Roger Donnay
   Notice...: (c) DONNAY Software Designs 1987-2000
   Date.....: Mar 18, 2000
   Notes....: Defines for BITMAPS for dCLIP++ / eXpress++
*/


#define  BITMAP_DCLIP               7000
#define  BITMAP_EXPRESS             7001
#define  BITMAP_EXPRESS2            7002
#define  BITMAP_EXPRESS3            7003
#define  BITMAP_EXPRESS_BACKGROUND1 7004

#define  BITMAP_PICKLIST            7100
#define  BITMAP_PICKDOTS            7101

#define  BITMAP_NEXT_1              7110
#define  BITMAP_PREVIOUS_1          7111
#define  BITMAP_TOP_1               7112
#define  BITMAP_BOTTOM_1            7113
#define  BITMAP_NEW_1               7114
#define  BITMAP_DELETE_1            7115
#define  BITMAP_SAVE_1              7116
#define  BITMAP_HELP_1              7117
#define  BITMAP_FIND_1              7118
#define  BITMAP_PRINT_1             7119

#define  BITMAP_NEXT_2              7120
#define  BITMAP_PREVIOUS_2          7121
#define  BITMAP_TOP_2               7122
#define  BITMAP_BOTTOM_2            7123
#define  BITMAP_NEW_2               7124
#define  BITMAP_DELETE_2            7125
#define  BITMAP_SAVE_2              7126
#define  BITMAP_HELP_2              7127
#define  BITMAP_FIND_2              7128
#define  BITMAP_PRINT_2             7129

#define  BITMAP_UTIL_1              7130
#define  BITMAP_EXIT_1              7131
#define  BITMAP_FILE_1              7132

#define  BITMAP_UTIL_2              7140
#define  BITMAP_EXIT_2              7141
#define  BITMAP_FILE_2              7142

#define  BITMAP_OK_1                7150
#define  BITMAP_CANCEL_1            7151

#define  BITMAP_PINSTRIPE           7200
#define  BITMAP_1PIXEL              7201
#define  BITMAP_BRICKS              7202

#define  BITMAP_EXECUTE_M             7300
#define  BITMAP_EXECUTEERROR_M        7301
#define  BITMAP_UNDO_M                7302
#define  BITMAP_REDO_M                7303
#define  BITMAP_BOLD_M                7304
#define  BITMAP_ITALIC_M              7305
#define  BITMAP_UNDERLINE_M           7306
#define  BITMAP_CODEWRITE_M           7307
#define  BITMAP_CONFIG_M              7308
#define  BITMAP_DESIGN_M              7309
#define  BITMAP_COMMENT_M             7310
#define  BITMAP_MENU_M                7311
#define  BITMAP_IF_ENDIF_M            7312
#define  BITMAP_QUESTIONMARK_M        7313
#define  BITMAP_OBJECT_M              7314
#define  BITMAP_REFORMAT_M            7315
#define  BITMAP_REPORT_M              7316
#define  BITMAP_SCAN_M                7317
#define  BITMAP_SCANGLOBAL_M          7318
#define  BITMAP_TEMPLATE_M            7319
#define  BITMAP_CANCEL_M              7320
#define  BITMAP_HELP_M                7321
#define  BITMAP_NO_M                  7322
#define  BITMAP_YES_M                 7323
#define  BITMAP_BROWSER_M             7324
#define  BITMAP_CHECKBOX_M            7325
#define  BITMAP_LISTBOX_M             7326
#define  BITMAP_DIALOG_M              7327
#define  BITMAP_EDIT_M                7328
#define  BITMAP_FRAMEOUTLINE_M        7329
#define  BITMAP_FRAMERAISED_M         7330
#define  BITMAP_FRAMERECESSED_M       7331
#define  BITMAP_PUSHBUTTON_M          7332
#define  BITMAP_RADIOBUTTON_M         7333
#define  BITMAP_SPINBUTTON_M          7334
#define  BITMAP_MLE_M                 7335
#define  BITMAP_GET_M                 7336
#define  BITMAP_COPYCLIP_M            7337
#define  BITMAP_PASTECLIP_M           7338
#define  BITMAP_CALENDAR_M            7339
#define  BITMAP_SORT_M                7340
#define  BITMAP_CALCULATOR_M          7341
#define  BITMAP_SPELLCHECK_M          7342
#define  BITMAP_LOWERCASE_M           7343
#define  BITMAP_UPPERCASE_M           7344
#define  BITMAP_PROPERCASE_M          7345
#define  BITMAP_EXIT_M                7346
#define  BITMAP_PRINT_M               7347
#define  BITMAP_MSDOS_M               7348
#define  BITMAP_TREE_M                7349
#define  BITMAP_ASCII_M               7350
#define  BITMAP_REPEAT_M              7351
#define  BITMAP_FULLSCREEN_M          7352
#define  BITMAP_HEX_M                 7353
#define  BITMAP_BUG_M                 7354
#define  BITMAP_MAIL_M                7355
#define  BITMAP_PROJECT_M             7356
#define  BITMAP_PRG_M                 7357
#define  BITMAP_COLORSETUP_M          7358
#define  BITMAP_KEYSETUP_M            7359
#define  BITMAP_CLANGUAGE_M           7360
#define  BITMAP_OPTIONS_M             7361
#define  BITMAP_PRINTSETUP_M          7362
#define  BITMAP_FIND_M                7363
#define  BITMAP_FINDNEXT_M            7364
#define  BITMAP_DIRECTORY_M           7365
#define  BITMAP_FOLDERCLOSED_M        7366
#define  BITMAP_FOLDEROPEN_M          7367
#define  BITMAP_CUT_M                 7368
#define  BITMAP_RTF_M                 7369
#define  BITMAP_EDITREC_M             7370
#define  BITMAP_EDITMEMO_M            7371
#define  BITMAP_TOP_M                 7372
#define  BITMAP_BOTTOM_M              7373
#define  BITMAP_NEXT_M                7374
#define  BITMAP_PREVIOUS_M            7375
#define  BITMAP_SAVE_M                7376
#define  BITMAP_SAVE_DISABLED_M       7377
#define  BITMAP_TOP_DISABLED_M        7378
#define  BITMAP_NEXT_DISABLED_M       7379
#define  BITMAP_PREVIOUS_DISABLED_M   7380
#define  BITMAP_CANCEL_DISABLED_M     7381
#define  BITMAP_EXECUTE_DISABLED_M    7382
#define  BITMAP_BOTTOM_DISABLED_M     7383
#define  BITMAP_SAY_M                 7384
#define  BITMAP_MESSAGEBOX_M          7385
#define  BITMAP_GROUPBOX_M            7386
#define  BITMAP_TABPAGE_M             7387
#define  BITMAP_TOOLBAR_M             7388
#define  BITMAP_PROGRESS_M            7389
#define  BITMAP_TREEITEM_M            7390
#define  BITMAP_BROWSECOL_M           7391
#define  BITMAP_CHECKBOX_CHECKED_S    7392
#define  BITMAP_CHECKBOX_UNCHECKED_S  7393
#define  BITMAP_TOP_S                 7394
#define  BITMAP_TOP_DISABLED_S        7395
#define  BITMAP_BOTTOM_S              7396
#define  BITMAP_BOTTOM_DISABLED_S     7397
#define  BITMAP_PREVIOUS_S            7398
#define  BITMAP_PREVIOUS_DISABLED_S   7399
#define  BITMAP_NEXT_S                7400
#define  BITMAP_NEXT_DISABLED_S       7401
#define  BITMAP_TOP_M_VERT               7402
#define  BITMAP_BOTTOM_M_VERT            7403
#define  BITMAP_NEXT_M_VERT              7404
#define  BITMAP_PREVIOUS_M_VERT          7405
#define  BITMAP_TOP_DISABLED_M_VERT      7406
#define  BITMAP_NEXT_DISABLED_M_VERT     7407
#define  BITMAP_PREVIOUS_DISABLED_M_VERT 7408
#define  BITMAP_BOTTOM_DISABLED_M_VERT   7409
#define  BITMAP_FOLDERCLOSED_L           7410
#define  BITMAP_FOLDEROPEN_L             7411

#define  BITMAP_WIZARD                7500
#define  BITMAP_RD_UP_PALEGRAY        7501
#define  BITMAP_RD_DOWN_PALEGRAY      7502
#define  BITMAP_RD_BLANK_PALEGRAY     7503
#define  BITMAP_RD_UP_DARKGRAY        7504
#define  BITMAP_RD_DOWN_DARKGRAY      7505
#define  BITMAP_RD_BLANK_DARKGRAY     7506
#define  BITMAP_RD_UP_RED             7507
#define  BITMAP_RD_DOWN_RED           7508
#define  BITMAP_RD_BLANK_RED          7509
