/*
 ķ
   Program..: DCCGI.CH                                                 
   Author...: Roger J. Donnay                                          
   Notice...: (c) DONNAY Software Designs 1987-2000                    
   Date.....: Sep  6, 2000                                             
   Notes....: CGI Definitions                                          
 Ľ
*/

#define  VARIABLENAME   1
#define  VALUE          2

#define STD_IN   0                        // Standard Input Handle
#define STD_OUT  1                        // Standard Output Handle
#ifndef CRLF
  #define CRLF     (chr (13) + chr (10))
#endif

// #command ?  [ <list,...> ]         => Qout( <list> )
// #command ?? [ <list,...> ]         => QQout( <list> )
// #xtrans QOUT( [ <list> ] )        => FWRITE( STD_OUT, <list> + CRLF )
// #xtrans QQOUT( [ <list> ] )       => FWRITE( STD_OUT, <list> )

#command BEGIN HTML [OBJECT <o>]        => DC_CGISend( "<HTML>", <o> )
#command END HTML   [OBJECT <o>]        => DC_CGISend( "</HTML>", <o> )
#command BEGIN BODY [OBJECT <o>]        => DC_CGISend( "<BODY>", <o> )
#command END BODY   [OBJECT <o>]        => DC_CGISend( "</BODY>", <o> )
#command LINE BREAK [OBJECT <o>]        => DC_CGISend( "<BR>", <o> )
#command BEGIN TABLE [OBJECT <o>]       => DC_CGISend( "<TABLE BORDER>", <o> )
#command END TABLE [OBJECT <o>]         => DC_CGISend( "</TABLE>", <o> )
#command BEGIN TABLE ROW [OBJECT <o>]   => DC_CGISend( "<TR>", <o> )
#command END TABLE ROW [OBJECT <o>]     => DC_CGISend( "</TR>", <o> )
#command HORZ LINE [OBJECT <o>]         => DC_CGISend( "<HR>", <o> )
#command SENDNOCRBR <text> [OBJECT <o>] => DC_CGINoCrSend( <text> + '<BR>', <o> )
#command SENDNOCR <text> [OBJECT <o>]   => DC_CGINoCrSend( <text>, <o> )
#command SENDBR <text> [OBJECT <o>]     => DC_CGISend( <text>+"<BR>", <o> )
#command SEND <text> [OBJECT <o>]       => DC_CGISend( <text>, <o> )

#command BEGIN FORM ACTION <cUrl> METHOD <cFormMethod> ;
    =>;
Send( "<FORM ACTION = " + <cUrl> + " METHOD = " + <cFormMethod> + ">" )

#command END FORM => Send( "</FORM>" )


#define AUTH_TYPE             1
#define CONTENT_LENGTH        2
#define CONTENT_TYPE          3
#define GATEWAY_INTERFACE     4
#define HTTP_USER_AGENT       5
#define HTTP_ACCEPT           6
#define HTTP_FROM             7
#define PATH_INFO             8
#define PATH_TRANSLATED       9
#define QUERY_STRING         10
#define REFERER_URL          11
#define REMOTE_ADDR          12
#define REMOTE_HOST          13
#define REMOTE_IDENT         14
#define REMOTE_USER          15
#define REQUEST_METHOD       16
#define SCRIPT_NAME          17
#define SERVER_NAME          18
#define SERVER_PORT          19
#define SERVER_PROTOCOL      20
#define SERVER_SOFTWARE      21
#define SERVER_ADMIN         22
#define GMT_OFFSET           23
#define HTTP_REFERRER        24
#define HTTP_COOKIE          25
#define _FROM                26
#define AUTH_NAME            27
#define DATE_LOCAL           28
#define CONTENT_STRING       29
#define REQUEST_PROTOCOL     30
#define EXECUTABLE_PATH      31
#define KEEP_ALIVE           32
#define DOC_ROOT             33
#define AUTH_PASSWORD        34
#define AUTH_METHOD          35
#define AUTH_REALM           36
#define DEBUG_MODE           37
#define X_SERIAL_NUMBER      38
#define PRAGMA               39
#define ACCEPT_LANGUAGE      40
#define HOST                 41
#define UA_PIXELS            42
#define UA_COLOR             43
#define UA_OS                44
#define UA_CPU               45
#define EXTENSION            46
#define CGI_VERSION          47
#define NT_USERNAME          48
#define OUTPUT_FILE          49
#define CONTENT_FILE         50

#define SET_SIZE             50

// URL-Encoded decode information
#define URL_ECODE_FLD        CHR(38)            // &
#define URL_ECODE_SPACE      CHR(43)            // +
#define URL_ECODE_SPECIAL    CHR(37)            // %
#define URL_ECODE_MULTI      URL_ECODE_FLD

