/*
 ķ
   Program..: DCDBCHO.CH                             
   Author...: Roger J. Donnay                        
   Notice...: (c) DONNAY Software Designs 1987-1995  
   Date.....: Jun 20, 1999                           
   Notes....: defines for dCLIP DC_DBChoice()        
 Ľ
*/

/* -- Defines for DC_DbChoice Main Array -- */

#define DBCHO_MAIN          1  // Main Sub-Array / Miscellaneous memvars
#define DBCHO_COLUMNS       2  // Column Expression/Header/Width/Color
#define DBCHO_EXPRESSIONS   3  // Currently Displayed Expression
#define DBCHO_CURCOLUMNS    4  // Currently Displayed Columns
#define DBCHO_COLWIDTHS     5  // Currently Displayed Column Widths
#define DBCHO_COLTYPES      6  // Type of Displayed Columns
#define DBCHO_COLCOLORS     7  // Color of Displayed Columns
#define DBCHO_RECORDS       8  // Displayed Records
#define DBCHO_DATAARRAY     9  // Data array (Array mode only)
#define DBCHO_MENUS        10  // Menu array
#define DBCHO_KEYS         11  // Hot-key array
#define DBCHO_MENUKEYS     12  // Menu Bar Hot-key array
#define DBCHO_MOUSEHELP    13  // User-Defined Mouse Help Array


/* -- Defines for DC_DbChoice Sub-Array[1] -- */

#define DBCHO_STROW         1  // Start Display Row
#define DBCHO_STCOL         2  // Start Display Column
#define DBCHO_ENROW         3  // End Row
#define DBCHO_ENCOL         4  // End Column
#define DBCHO_STARTCOL      5  // First Field Displayed
#define DBCHO_SAVEREC       6  // Current record pointer
#define DBCHO_COLWIDTH      7  // Default column width ( 0 - floating )
#define DBCHO_FIELDNAME     8  // Currently selected Field Name
#define DBCHO_PAINTSCRN     9  // Flag to repaint screen
#define DBCHO_ROW          10  // Currently selected Data Row
#define DBCHO_TOPREC       11  // Top record of database
#define DBCHO_BOTREC       12  // Bottom record of database
#define DBCHO_TOP          13  // Are we in the top page?
#define DBCHO_BOT          14  // Are we in the bottom page?
#define DBCHO_FIELDSAVE    15  // Currently displayed field value
#define DBCHO_REPAINT      16  // Repaint the screen
#define DBCHO_DBRELATION   17  // Current relation
#define DBCHO_SCRLDN       18  // Scroll Down Flag
#define DBCHO_SCRLUP       19  // Scroll Up Flag
#define DBCHO_PAINTDN      20  // Flag to repaint items
#define DBCHO_MREC         21  // Top Displayed Record
#define DBCHO_COLCOUNT     22  // Total fields including relations
#define DBCHO_FLDREC       23  // Selected field number
#define DBCHO_BUILD        24  // Rebuild field arrays
#define DBCHO_CODE         25  // Last key hit char value
#define DBCHO_INKEY        26  // Last key hit inkey value
#define DBCHO_COL          27  // Current Browse Item Column
#define DBCHO_LASTCOL      28  // last displayed browse column
#define DBCHO_SAVESCREEN   29  // Screen Image of Current Window
#define DBCHO_ROWSAVE      30  // Current Screen Row
#define DBCHO_COLSAVE      31  // Current Screen Column
#define DBCHO_RECCOUNT     32  // This Work Area Record Count
#define DBCHO_FCOUNT       33  // This Work Area Field Count
#define DBCHO_EXPLODE      34  // Explode the screen
#define DBCHO_RELVALUE     35  // 1 to many relational value
#define DBCHO_NOSHADOW     36  // Don't paint a shadow
#define DBCHO_HEADER       37  // Box heading
#define DBCHO_COLLINES     38  // column lines (save screen)
#define DBCHO_LASTROW      39  // Last displayed row
#define DBCHO_BSAVE        40  //
#define DBCHO_AUTOSEEK     41  //
#define DBCHO_SEEKVALUE    42  // Value of items to include in display
#define DBCHO_BOXCOLOR     43  //
#define DBCHO_DATACOLOR    44  //
#define DBCHO_SELCOLOR     45  //
#define DBCHO_HDRCOLOR     46  //
#define DBCHO_MENUCOLOR    47  //
#define DBCHO_EXIT         48  //
#define DBCHO_MENUBAR      49  //
#define DBCHO_TAGMODE      50  // TAG/UNTAG mode
#define DBCHO_TAGKEY       51  // Key to invoke TAG/UNTAG
#define DBCHO_MENUOPTION   52  // Menu option (.f. - Bottom, .t. - Top)
#define DBCHO_COLORSAVE    53  // Current screen color
#define DBCHO_APOINTER     54  // Array Data pointer
#define DBCHO_TAGELEMENT   55  // Array element to tag
#define DBCHO_SCOPETOP     56  // Top of database scope value
#define DBCHO_SCOPEBOTTOM  57  // Bottom of database scope value
#define DBCHO_ARRAYMODE    58  // Array Browse Mode
#define DBCHO_USERMENU     59  // Flag designating a User-Defined Menu
#define DBCHO_USERKEYS     60  // User-Defined Menu hot-keys
#define DBCHO_SCOPEORDER   61  // The controlling index for scoping
#define DBCHO_ENABLEHUNT   62  // Enable hunting
#define DBCHO_SEEKPREFIX   63  // Seek Prefix

