/*
 ķ
   Program..: DCFIELDS.CH                            
   Author...: Roger J. Donnay                        
   Notice...: (c) DONNAY Software Designs 1987-2000  
   Date.....: Oct 22, 2000                           
   Notes....: defines for dCLIP fields array system  
 Ľ
*/

/* -- Defines for aFIELDS subarray -- */

#define DCFLDGROUP_NAME  1      // Name of Field Group
#define DCFLDGROUP_ALIAS 2      // Database Alias of Field Group
#define DCFLDGROUP_DESC  3      // Description of Field Group

#define DCFLD_NAME       1      // Field Name or Expression
#define DCFLD_TYPE       2      // Field Type
#define DCFLD_LEN        3      // Field Length
#define DCFLD_DEC        4      // Field Decimals
#define DCFLD_DESC       5      // Field Descriptor
#define DCFLD_ALIAS      6      // Field Alias
#define DCFLD_PROMPT     7      // Field Prompt
#define DCFLD_PICT       8      // Field Picture (default)
#define DCFLD_VALTYPE    9      // Field Validation Type
#define DCFLD_DEFAULT   10      // Field Default value
#define DCFLD_WHEN      11      // When code block (enable())
#define DCFLD_PROTECT   12      // Protect code block
#define DCFLD_VALID     13      // Field Valid Clause or Formula
#define DCFLD_EMPTY     14      // Empty Value Allowed
#define DCFLD_EDIT      15      // Editing Allowed
#define DCFLD_ACCESS    16      // Access Code
#define DCFLD_SORT      17      // Sorting element
#define DCFLD_HELPCODE  18      // Help Code
#define DCFLD_VALUE     19      // Place to store Old Field Value
#define DCFLD_OLDNAME   20      // Old field name
#define DCFLD_OLDTYPE   21      // Old field type
#define DCFLD_ENCRYPT   22      // Encryption password
#define DCFLD_PROGRAM   23      // Program Validation (memo)
#define DCFLD_FLAG      24      // Logical flag
#define DCFLD_COMPILE   25      // Compile Code Block
#define DCFLD_FONT      26      // Default Font
#define DCFLD_TOOLTIP   27      // ToolTip
#define DCFLD_CARGO     28      // Cargo Array
#define DCFLD_ORDER     29      // Order in Database
#define DCFLD_POPUP     30      // PopUp Code Block

#define DCFLD_ARRAY_SIZE    30

