/*
   Program..: DCXTOC.CH
   Author...: Roger Donnay
   Notice...: (c) DONNAY Software Designs 1987-2000
   Date.....: Dec 5, 2000
   Notes....: Defines for Xbase++ to Clipper Interface
*/

#DEFINE XC_EXIT                0
#DEFINE XC_OPENDATA            1
#DEFINE XC_OPENINDEX           2
#DEFINE XC_CREATEINDEX         3
#DEFINE XC_CLOSEDATA           4
#DEFINE XC_COPYDATA            5
#DEFINE XC_PROGRAM            50
#DEFINE XC_DONE               99

#DEFINE XCERROR_NOFILENAME  8001
#DEFINE XCERROR_NOINDEXKEY  8002

#DEFINE XC_ARRAY_OPERATION     1
#DEFINE XC_ARRAY_DEFAULT       2
#DEFINE XC_ARRAY_DATABASE      3
#DEFINE XC_ARRAY_INDEX         4
#DEFINE XC_ARRAY_RDD           5
#DEFINE XC_ARRAY_SHARED        6
#DEFINE XC_ARRAY_TAG           7
#DEFINE XC_ARRAY_KEY           8
#DEFINE XC_ARRAY_RECORD        9
#DEFINE XC_ARRAY_WHILE        10
#DEFINE XC_ARRAY_FOR          11
#DEFINE XC_ARRAY_EVERY        12
#DEFINE XC_ARRAY_DATE         13
#DEFINE XC_ARRAY_TIME         14
#DEFINE XC_ARRAY_ERRORCODE    15
#DEFINE XC_ARRAY_UNIQUE       16
#DEFINE XC_ARRAY_DESCEND      17
#DEFINE XC_ARRAY_CURRCOUNT    18
#DEFINE XC_ARRAY_MESSAGE      19
#DEFINE XC_ARRAY_DATA         20
#DEFINE XC_ARRAY_PROGRAM      21
#DEFINE XC_ARRAY_VERBOSE      22
#DEFINE XC_ARRAY_INTERPRET    23
#DEFINE XC_ARRAY_ACTIVE       24
#DEFINE XC_ARRAY_DONE         25
#DEFINE XC_ARRAY_MAXCOUNT     26
#DEFINE XC_ARRAY_PATH         27
#DEFINE XC_ARRAY_USER1        28
#DEFINE XC_ARRAY_USER2        29
#DEFINE XC_ARRAY_USER3        30
#DEFINE XC_ARRAY_USER4        31
#DEFINE XC_ARRAY_NEXT         32
#DEFINE XC_ARRAY_REST         33
#DEFINE XC_ARRAY_DELETED      34

#DEFINE XC_ARRAY_SIZE         34


