/*
 ķ
   Program..: NUMPAD.PRG                            
   Author...: Roger J. Donnay                       
   Date.....: Dec  4, 2000                          
 Ľ
*/

#include 'inkey.ch'
#include 'dccolor.ch'
#include 'appevent.ch'
#include 'gra.ch'
#include 'xbp.ch'
#include 'dcmsg.ch'
#include 'dcdialog.ch'


FUNCTION PopNumPad( nValue )

LOCAL GetList := {}, GetOptions, nSaveValue, oCancelButton

PRIVATE lFirstTime := .t.

DEFAULT nValue := 0

nSaveValue := nValue

IF nValue = 0
  cValue := ''
ELSE
  cValue := Alltrim(Str(nValue))
	cValue := PadL(cValue,16)
ENDIF

@  0,   0 DCGET cValue FONT '20.Courier New Bold' SIZE 270,40 PIXEL EDITPROTECT {||.t.}

@  50,  0 DCPUSHBUTTON CAPTION 2107 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(7,@cValue,GetList)} ;
   ACCELKEY Asc('7') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2107,2207) } ) } }

@  50, 60 DCPUSHBUTTON CAPTION 2108 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(8,@cValue,GetList)} ;
   ACCELKEY Asc('8') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2108,2208) } ) } }

@  50,120 DCPUSHBUTTON CAPTION 2109 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(9,@cValue,GetList)} ;
   ACCELKEY Asc('9') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2109,2209) } ) } }


@ 110,  0 DCPUSHBUTTON CAPTION 2104 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(4,@cValue,GetList)} ;
   ACCELKEY Asc('4') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2104,2204) } ) } }

@ 110, 60 DCPUSHBUTTON CAPTION 2105 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(5,@cValue,GetList)} ;
   ACCELKEY Asc('5') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2105,2205) } ) } }

@ 110,120 DCPUSHBUTTON CAPTION 2106 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(6,@cValue,GetList)} ;
   ACCELKEY Asc('6') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2106,2206) } ) } }


@ 170,  0 DCPUSHBUTTON CAPTION 2101 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(1,@cValue,GetList)} ;
   ACCELKEY Asc('1') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2101,2201) } ) } }

@ 170, 60 DCPUSHBUTTON CAPTION 2102 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(2,@cValue,GetList)} ;
   ACCELKEY Asc('2') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2102,2202) } ) } }

@ 170,120 DCPUSHBUTTON CAPTION 2103 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(3,@cValue,GetList)} ;
   ACCELKEY Asc('3') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2103,2203) } ) } }


@ 230,  0 DCPUSHBUTTON CAPTION 2100 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(0,@cValue,GetList)} ;
   ACCELKEY Asc('0') ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2100,2200) } ) } }

@ 230, 60 DCPUSHBUTTON CAPTION 2110 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(10,@cValue,GetList)} ;
   ACCELKEY 46 ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2110,2210) } ) } }

@ 230,120 DCPUSHBUTTON CAPTION 2112 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   ACTION {||Accum(11,@cValue,GetList)} ;
   ACCELKEY 45 ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2112,2212) } ) } }


@ 290,  0 DCPUSHBUTTON CAPTION 2111 FONT '16.Arial Bold' SIZE 80,50 PIXEL ;
   ACTION {||Accum(12,@cValue,GetList)} ;
   ACCELKEY { 67, 99 } ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2111,2211) } ) } }

@ 290, 90 DCPUSHBUTTON CAPTION 2113 FONT '16.Arial Bold' SIZE 80,50 PIXEL ;
   ACTION {||Accum(13,@cValue,GetList)} ;
   ACCELKEY 8 ;
   EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2113,2213) } ) } }


@ 110,190 DCPUSHBUTTON CAPTION 2114 FONT '12.Arial Bold' SIZE 80,50 PIXEL ;
   ACCELKEY 13 ;
   ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)}


@ 170,190 DCPUSHBUTTON CAPTION 2115 FONT '12.Arial Bold' SIZE 80,50 PIXEL ;
   ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList)} ;
   ACCELKEY 27 ;
   OBJECT oCancelButton

DCGETOPTIONS ;
   ;//ORIGIN XBPDLG_ORIGIN_MOUSE ;
	 COLOR GRA_CLR_DARKBLUE ;
	 ;//NOMINBUTTON ;
	 ;//NOMAXBUTTON ;
   ;//HIDE

DCREAD GUI ;
   FIT ;
	 MODAL ;
   TITLE 'Numeric Pad' ;
   SETFOCUS @oCancelButton ;
   TO lStatus ;
   OPTIONS GetOptions ;
   ;//EVAL {|o|o:setPos({o:currentPos()[1],o:currentPos()[2]-o:currentSize()[2]}), ;
   ;//         o:show() }

IF !lStatus
  nValue := nSaveValue
ELSE
  nValue := Val(cValue)
ENDIF

RETURN nValue

* ----------------

STATIC FUNCTION Accum ( nKey, cValue, GetList )

IF lFirstTime
  cValue := ''
ELSE
  cValue := Alltrim(cValue)
ENDIF

lFirstTime := .f.

IF nKey >= 0 .AND. nKey <= 9

  cValue += Alltrim(Str(nKey))

ELSEIF nKey == 10 // Decimal key

  cValue := StrTran(cValue,'.','')
  cValue += '.'

ELSEIF nKey == 11 // Minus Key

  IF Left(cValue,1) == '-'
    cValue := Substr(cValue,2)
  ELSE
    cValue := '-' + cValue
  ENDIF

ELSEIF nKey == 12 // Clear

  cValue := ''

ELSEIF nKey == 13 // Backspace

  cValue := Substr(cValue,1,Len(cValue)-1)

ENDIF

cValue := PadL(cValue,16)

DC_GetRefresh(GetList)

RETURN nil


* -----------

STATIC FUNCTION _Flash( oButton, cCaption1, cCaption2 )

oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)
oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)

RETURN nil



