/*
   Program..: DC3P.CH
   Author...: Roger Donnay
   Notice...: (c) DONNAY Software Designs 1987-2000
   Date.....: Nov 11, 2000
   Notes....: Special 3rdParty Commands
*/

#include "dcdialog.ch"

// #define GETLIST_KLMLE      200     // <= Moved to dcDialog.ch

// Thanks to Terry Wolfe for his contributions

#command  @ <nRow>,<nCol> DCKLMLE <uVar>                                    ;
                [PARENT <oParent>]                                          ;
                [VALID <bValid>]                                            ;
                [WHEN <bWhen>]                                              ;
                [HIDE <bHide>]                                              ;
                [EDITPROTECT <bProtect>]                                    ;
                [SIZE <nWidth>,<nHeight>]                                   ;
                [MESSAGE <cMsg> [INTO <oMsg>]]                              ;
                [FONT <cFont>]                                              ;
                [COLOR <ncFgC> [,<ncBgC>] ]                                 ;
                [HELPCODE <cHelpCode>]                                      ;
                [DATALINK <bLink>]                                          ;
                [OBJECT <oObject>]                                          ;
                [CARGO <xCargo>]                                            ;
                [<lNoWW:NOWORDWRAP>]                                        ;
                [<lNoB:NOBORDER>]                                           ;
                [<lNoV:NOVERTSCROLL>]                                       ;
                [<lNoH:NOHORIZSCROLL>]                                      ;
                [<lIgT:IGNORETAB>]                                          ;
                [<lRO:READONLY>]                                            ;
                [MAXLINES <nMaxLines> [MESSAGE <cMessage1>]]                ;
                [LINELENGTH <nLineLength> [MESSAGE <cMessage2>]]            ;
                [MAXCHARS <nMaxChars> [MESSAGE <cMessage3>]]                ;
                [EXITKEY <nExitKey>]                                        ;
                [PRESENTATION <aPres>]                                      ;
                [<p: PIXEL>]                                                ;
                [TOOLTIP <cToolTip>]                                        ;
                [<lCompat:COMPATIBILE,COMPATABILE,COMPATABLE,COMPATIBLE >]  ;
                [CURSOR <nCursor>]                                          ;
                [EVAL <bEval>]                                              ;
                [TITLE <cTitle>]                                            ;
                [RELATIVE <oRel>]                                           ;
                [ID <cId>]                                                  ;
                [ACCELKEY <nAccel>]                                         ;
                [GOTFOCUS <bGotFocus>]                                      ;
                [LOSTFOCUS <bLostFocus>]                                    ;
                [<lTabStop:TABSTOP>]                                        ;
                [<lNoTabStop:NOTABSTOP>]                                    ;
                [TABGROUP <nTabGroup>]                                      ;
                [<lVisible:VISIBLE>]                                        ;
                [<lInvisible:INVISIBLE>]                                    ;
                [GROUP <cGroup>]                                            ;
                [MAINDICT <cMainDict>]                                      ;
                [ADDONDICT <cAddOnDict>]                                    ;
                [SUGGESTFONT <cSuggestFont>]                                ;
                [ABOXPOS <aBoxPos>]                                         ;
                [SHORTSPELL <nShortSpell>]                                  ;
                [DELWORDKEY <nDelWordKey>]                                  ;
                [DELWORDFUN <nDelWordFun>]                                  ;
                [DELLINEKEY <nDelLineKey>]                                  ;
                [DELLINEFUN <nDelLineFun>]                                  ;
                [PRINTFONT <cPrtFont>]                                      ;
                [TOPMARGIN <nPrtTopMar>]                                    ;
                [LEFTMARGIN <nPrtLeftMar>]                                  ;
                [BOTTOMMARGIN <nPrtBotMar>]                                 ;
                [WORDDELIMITERS <cWrdDelimit>]                              ;
                [<lFindHiLgt:FINDHIGHLIGHT>]                                ;
                [<lMatchCase:MATCHCASE>]                                    ;
                [<lRememberFind:REMEMBERFIND>]                              ;
                [<lNoRememberFind:NOREMEMBERFIND>]                          ;
                [<lSearchWrap:SEARCHWRAP>]                                  ;
                [<lNoSearchWrap:NOSEARCHWRAP>]                              ;
                [FINDBOXPOS <aFindBoxPos>]                                  ;
  =>                                                                        ;
   AADD( DCGUI_GETLIST,                                                     ;
    { GETLIST_KLMLE,                            /* nGETLIST_TYPE         */ ;
      nil,                                      /* nGETLIST_SUBTYPE      */ ;
      nil,                                      /* cGETLIST_CAPTION      */ ;
      {DC_GetAnchorCB(@<uVar>,,,,<bLink>),                                  ;
                      <(uVar)>,,,,<(bLink)>},   /* bGETLIST_VAR          */ ;
      <nRow>,                                   /* nGETLIST_STARTROW     */ ;
      <nCol>,                                   /* nGETLIST_STARTCOL     */ ;
      nil,                                      /* nGETLIST_ENDROW       */ ;
      nil,                                      /* nGETLIST_ENDCOL       */ ;
      <nWidth>,                                 /* nGETLIST_WIDTH        */ ;
      <nHeight>,                                /* nGETLIST_HEIGHT       */ ;
      <cFont>,                                  /* cGETLIST_FONT         */ ;
      nil,                                      /* cGETLIST_PICTURE      */ ;
      <bWhen>,                                  /* bGETLIST_WHEN         */ ;
      <bValid>,                                 /* bGETLIST_VALID        */ ;
      <cToolTip>,                               /* cGETLIST_TOOLTIP      */ ;
      <xCargo>,                                 /* xGETLIST_CARGO        */ ;
      <aPres>,                                  /* aGETLIST_PRESENTATION */ ;
      nil,                                      /* bGETLIST_ACTION       */ ;
      nil,                                      /* oGETLIST_OBJECT       */ ;
      nil,                                      /* xGETLIST_ORIGVALUE    */ ;
      {<.lNoWW.>,<.lNoB.>,<.lNoV.>,<.lNoH.>,                                ;
       <.lIgT.>,<.lCompat.>,<.lRO.>,<nExitKey>,                             ;
       <cMainDict>,<cAddOnDict>,                                            ;
       <cSuggestFont>,<aBoxPos>,                                            ;
       <nShortSpell>,<nDelWordKey>,                                         ;
       <nDelWordFun>,<nDelLineKey>,                                         ;
       <nDelLineFun>,<cPrtFont>,                                            ;
       <nPrtTopMar>,<nPrtLeftMar>,                                          ;
       <nPrtBotMar>,<cWrdDelimit>,                                          ;
       <.lFindHiLgt.>,<.lMatchCase.>,                                       ;
       [<.lRememberFind.>.AND.!<.lNoRememberFind.>],                        ;
       [<.lSearchWrap.>.AND.!<.lNoSearchWrap.>],                            ;
       <aFindBoxPos>},                          /* xGETLIST_OPTIONS      */ ;
      [{<ncFgC>,<ncBgC>}],                      /* aGETLIST_COLOR        */ ;
      {<cMsg>,[{DC_GetAnchorCB(@<oMsg>,'O'),<oMsg>,'O'}]},                  ;
                                                /* cGETLIST_MESSAGE      */ ;
      <cHelpCode>,                              /* cGETLIST_HELPCODE     */ ;
      <(uVar)>,                                 /* cGETLIST_VARNAME      */ ;
      nil,                                      /* bGETLIST_READVAR      */ ;
      nil,                                      /* bGETLIST_DELIMVAR     */ ;
      [{DC_GetAnchorCB(@<oObject>,'O'),                                     ;
                       <(oObject)>,'O'}],       /* bGETLIST_GROUP        */ ;
      nil,                                      /* nGETLIST_POINTER      */ ;
      [{DC_GetAnchorCB(@<oParent>,'O'),                                     ;
                       <(oParent)>,'O'}],       /* bGETLIST_PARENT       */ ;
      nil,                                      /* bGETLIST_REFVAR       */ ;
      <bProtect>,                               /* bGETLIST_PROTECT      */ ;
      <.p.>,                                    /* lGETLIST_PIXEL        */ ;
      <nCursor>,                                /* nGETLIST_CURSOR       */ ;
      <bEval>,                                  /* bGETLIST_EVAL         */ ;
      [{DC_GetAnchorCb(@<oRel>,'O'),                                        ;
                        <(oRel)>,'O'}],         /* bGETLIST_RELATIVE     */ ;
      {<nMaxLines>,<cMessage1>},                /* xGETLIST_OPTIONS2     */ ;
      {<nLineLength>,<cMessage2>},              /* xGETLIST_OPTIONS3     */ ;
      {<nMaxChars>,<cMessage3>},                /* xGETLIST_OPTIONS4     */ ;
      nil,                                      /* xGETLIST_OPTIONS5     */ ;
      nil,                                      /* xGETLIST_OPTIONS6     */ ;
      nil,                                      /* xGETLIST_OPTIONS7     */ ;
      nil,                                      /* xGETLIST_OPTIONS8     */ ;
      nil,                                      /* xGETLIST_OPTIONS9     */ ;
      nil,                                      /* cGETLIST_LEVEL        */ ;
      <cTitle>,                                 /* cGETLIST_TITLE        */ ;
      nil,                                      /* cGETLIST_ACCESS       */ ;
      nil,                                      /* bGETLIST_COMPILE      */ ;
      <cId>,                                    /* cGETLIST_ID           */ ;
      nil,                                      /* dGETLIST_REVDATE      */ ;
      nil,                                      /* cGETLIST_REVTIME      */ ;
      nil,                                      /* cGETLIST_REVUSER      */ ;
      <bHide>,                                  /* bGETLIST_HIDE         */ ;
      <nAccel>,                                 /* nGETLIST_ACCELKEY     */ ;
      <bGotFocus>,                              /* bGETLIST_GOTFOCUS     */ ;
      <bLostFocus>,                             /* bGETLIST_LOSTFOCUS    */ ;
      [<.lTabStop.>.AND.!<.lNoTabStop.>],       /* lGETLIST_TABSTOP      */ ;
      <nTabGroup>,                              /* nGETLIST_TABGROUP     */ ;
      [<.lVisible.>.AND.!<.lInvisible.>],       /* lGETLIST_VISIBLE      */ ;
      <cGroup>,                                 /* cGETLIST_GETGROUP     */ ;
      .f.,                                      /* lGETLIST_FLAG         */ ;
      {ProcName(),ProcLine()},                  /* aGETLIST_PROC         */ ;
    } )
