/*
 ķ
   Program..: DCGET.CH                              
   Author...: Roger J. Donnay                       
   Notice...: (c) DONNAY Software Designs 1987-1995 
   Date.....: Mar 24, 1995                          
   Notes....: dCLIP 4.0 Get system translations     
 Ľ

 This translate file is needed to make code that uses GETs and is
 compiled in 5.01 compatabile with the 5.2 libraries.

*/

#ifndef FORCEVALID
#define   FORCEVALID  CARGO 101
#define   PICKLIST    CARGO 102
#define   PROTECT     CARGO 106
#define   CAPFIRST    CARGO 107
#define   DOUBLEPICK  CARGO 112
// #define   HIDE        CARGO 113
#define   CODEBLOCK   CARGO 114
#endif


#translate  APOINTER <p>  =>  CARGO -1*<p>

/***
*  @..SAY
*/

#command @ <row>, <col> SAY <xpr>                                       ;
                        [PICTURE <pic>]                                 ;
                        [COLOR <color>]                                 ;
                                                                        ;
      => DevPos( <row>, <col> )                                         ;
       ; DevOutPict( <xpr>, <pic> [, <color>] )


#command @ <row>, <col> SAY <xpr>                                       ;
                        [COLOR <color>]                                 ;
                                                                        ;
      => DevPos( <row>, <col> )                                         ;
       ; DevOut( <xpr> [, <color>] )


#command @ <row>, <col> GET <var>                                       ;
         [CARGO <cargo>]                                 ;
         [CHECKBOX MEMVAR <m> [ELEMENT <n>] [DELIMS <check>]] ;
         [RADIOGROUP <g> MEMVAR <v> [DELIMS <r>] VALUE <y>]    ;
         [PREEVAL <preblock>]                            ;
         [POSTEVAL <postblock>]                          ;
         [MESSAGE <getmsg>]                              ;
         [PICTURE <pic>]                                 ;
         [VALID <valid>]                                 ;
         [WHEN <when>]                                   ;
         [SEND <msg>]                                    ;
         [HELPCODE <hlp>]                                ;
      => AAdd( GetList, ;
            ( Get():new( <row>, <col>, __gBlock(<var>), __gName(<var>), ;
                        <pic>, NIL, <{valid}>, <{when}>) ) ) ;
       ; DC_GETDISPLAY( GetList )                                       ;
      [; GetList:=DC_ADDCARGO(GetList,<cargo>) ]                        ;
      [; GetList:=DC_ADDCARGO(GetList,{ 103, <{preblock}> } ) ]         ;
      [; GetList:=DC_ADDCARGO(GetList,{ 104, <{postblock}> } ) ]        ;
      [; GetList:=DC_ADDCARGO(GetList,{ 105, <getmsg> }) ]              ;
      [; GetList:=DC_ADDCARGO(GetList,{ 115, <hlp> }) ]                 ;
      [; GetList:=;
         DC_ADDCARGO(GetList,{110,<check>,{||DC_ReadVar(@<m>,<n>,,.t.)}}) ] ;
      [; GetList:=;
         DC_ADDCARGO(GetList,{111,<g>,<r>,{||DC_ReadVar(@<v>,,<y>,.f.)}}) ] ;
      [; ATail(GetList):<msg>]


/***
*   @..SAY..GET
*/

#command @ <row>, <col> SAY <xpr>                                       ;
                        [COLOR <color>]                                 ;
                        GET <var>                                       ;
                        [CARGO <cargo>]                                 ;
                        [PREEVAL <preblock>]                            ;
                        [POSTEVAL <postblock>]                          ;
                        [MESSAGE <getmsg>]                              ;
                        [PICTURE <pic>]                                 ;
                        [VALID <valid>]                                 ;
                        [WHEN <when>]                                   ;
                        [SEND <msg>]                                    ;
                        [HELPCODE <hlp>]                                ;
      => DC_GETDEVOUT( <row>, <col>, <xpr>, [, <color>] )               ;
      ;  AAdd( GetList, ;
            ( Get():new( Row(), Col()+1, __gBlock(<var>), __gName(<var>), ;
                        <pic>, NIL, <{valid}>, <{when}>) ) ) ;
       ; DC_GETDISPLAY( GetList )                                       ;
      [; GetList:=DC_ADDCARGO(GetList,<cargo>) ]                        ;
      [; GetList:=DC_ADDCARGO(GetList,{ 103, <{preblock}> } ) ]         ;
      [; GetList:=DC_ADDCARGO(GetList,{ 104, <{postblock}> } ) ]        ;
      [; GetList:=DC_ADDCARGO(GetList,{ 105, <getmsg> }) ]              ;
      [; GetList:=DC_ADDCARGO(GetList,{ 115, <hlp> }) ]                 ;
      [; GetList:=DC_ADDCARGO(GetList,{ 108, { <row>, <col>, <xpr> }})] ;
      [; ATail(GetList):<msg>]


/***
*   fancy GETs...
*/

// @..GET..RANGE (preprocessed to @..GET..VALID)


#command @ <row>, <col> GET <var>                                       ;
                        [<clauses,...>]                                 ;
                        RANGE <lo>, <hi>                                ;
                        [<moreClauses,...>]                             ;
                                                                        ;
      => @ <row>, <col> GET <var>                                       ;
                        [<clauses>]                                     ;
                        VALID {|_1| RangeCheck(_1,, <lo>, <hi>)}        ;
                        [<moreClauses>]


// @..GET COLOR

#command @ <row>, <col> GET <var>                                       ;
                        [<clauses,...>]                                 ;
                        COLOR <color>                                   ;
                        [<moreClauses,...>]                             ;
                                                                        ;
      => @ <row>, <col> GET <var>                                       ;
                        [<clauses>]                                     ;
                        SEND colorDisp(<color>)                         ;
                        [<moreClauses>]

