/*
   Program..: DCGRUMP.CH
   Author...: Roger Donnay
   Notice...: (c) DONNAY Software Designs 1987-2001
   Date.....: Apr  6, 2001
   Notes....: Special Grumpfish-style commands for eXpress++
*/


 #xcommand DCGRUMPBROW                  ;
         [ TO <var> ]                   ;
         [ SECURITY <sec> ]             ;
         [ TOP <top> ]                  ;
         [ LEFT <left> ]                ;
         [ BOTTOM <bottom> ]            ;
         [ RIGHT <right> ]              ;
         [ TITLE <title> ]              ;
         [ FIELDS <fields> ]            ;
         [ HEADINGS <headings> ]        ;
         [ PICTURES <pictures> ]        ;
         [ ALTERNATES <alts> ]          ;
         [ LOW <start> ]                ;
         [ HIGH <end> ]                 ;
         [ VBLOCK <vblock> ]            ;
         [ HBLOCK <hblock> ]            ;
         [ EXTRA  <extra> ]             ;
         [ EXTRAKEY <extrakey> ]        ;
         [ EXTRATITLE <extratitle> ]    ;
         [ EXITKEY <exitkey> ]          ;
         [ INDEX_DESCRIPTION <aDescs> ] ;
         [ VALIDS <aValids> ]           ;
         [ WHENS <aWhens> ]             ;
         [ AUTOREFRESH <nseconds> ]     ;
         [ LOCK <nlock> ]               ;
         [ <carry:CARRY> ]              ;
         [ MEMOWIDTH <memowidth> ]      ;
         [ MEMOHEIGHT <memoheight> ]    ;
         [ COLORSPEC <colorspec>   ]    ;
         [ COLORBLOCKS <cblocks>   ]    ;
         [ INITIAL <initial>  ]         ;
         [ <gotop:GOTOP> ]              ;
         [ ALTERNATE_KEYS <aKeys> ]     ;
         [ PRESENTATION <aPres> ]       ;
         [ WIDTHS <aWidths> ]           ;
         [ EDITCOORDS <aEditCoords> ]   ;
         [ MENU <acMenu> ]              ;
         [ FONT <cFont> ]               ;
         [ GETLIST <aGrumpGetList> ]    ;
         [ <modal:MODAL> ]              ;
         [ PARENT <oParent> ]           ;
         [ APPWINDOW <oAppWindow> ]     ;
                                     => ;
         [ <var> := ] DC_GuiGrumpBrow(<sec>, <top>, <left>, <bottom>, <right>,  ;
                      .t., <fields>, <headings>, <pictures>,                    ;
                      <alts>, <start>, <end>, <{vblock}>, <{hblock}>,           ;
                      <extra>, <extrakey>, <extratitle>, <exitkey>,             ;
                      <aDescs>, <aValids>, <aWhens>, <nseconds>, <nlock>,       ;
                      <.carry.>, <memowidth>, <title>, <memoheight>,            ;
                      <colorspec>, <cblocks>, <{initial}>, <.gotop.>,           ;
                      <aKeys>, <aPres>, <aWidths>, <aEditCoords>,               ;
                      <acMenu>, <cFont>, nil, <aGrumpGetList>, <.modal.>,       ;
                      <oParent>, <oAppWindow> )


