#define DCLANG_ENGLISH        100
#define DCLANG_GERMAN         101
#define DCLANG_PORTUGUESE     102
#define DCLANG_SPANISH        103
#define DCLANG_CHINESE        104
#define DCLANG_FRENCH         105
#define DCLANG_ITALIAN        106
#define DCLANG_DUTCH          107
#define DCLANG_SLOVENIAN      108
#define DCLANG_PORTUGUESE_BR  109
#define DCLANG_SWEDISH        110
#define DCLANG_NORWEGIAN      111
#define DCLANG_RUSSIAN        112
#define DCLANG_POLISH         113
#define DCLANG_SLOVAK         114
#define DCLANG_CZECH          115
#define DCLANG_ROMANIAN       116
#define DCLANG_CUSTOM         999


#define DCMSG_OK            1001  // &Ok
#define DCMSG_CANCEL        1002  // &Cancel
#define DCMSG_ABORT         1003  // &Abort
#define DCMSG_HELP          1004  // &Help
#define DCMSG_DESIGN        1005  // &Design
#define DCMSG_YES           1006  // &Yes
#define DCMSG_NO            1007  // &No
#define DCMSG_ZOOM_PLUS     1008  // &Zoom+
#define DCMSG_ZOOM_MINUS    1009  // Z&oom-
#define DCMSG_PRINT         1010  // P&rint
#define DCMSG_EXIT          1011  // E&xit

#define DCMSG_DESIGNISON    2001  // Design Mode is ON
#define DCMSG_DESIGNISOFF   2002  // Design Mode is OFF
#define DCMSG_PRESSESCAPE   2003  // Press ESCape to Abort
#define DCMSG_ABORTQUERY    2004  // Exit and Abort Changes?
#define DCMSG_CLOSEQUERY    2005  // Are you sure you want to Exit?
#define DCMSG_DATE_INVALID  2006  // Invalid Date Entered!
#define DCMSG_RANGE_INVALID 2007  // Valid Range is:
#define DCMSG_EXITQUERY     2008  // Exit and Save?

#define DCMSG_NEXT          3001  // &Next
#define DCMSG_PREV          3002  // &Prev
#define DCMSG_PREVIOUS      3003  // &Previous
#define DCMSG_TOP           3004  // &Top
#define DCMSG_BOTTOM        3005  // &Bottom
#define DCMSG_NEW           3006  // Ne&w
#define DCMSG_DEL           3007  // &Del
#define DCMSG_SAVE          3008  // &Save
#define DCMSG_FIND          3009  // F&ind
#define DCMSG_FIND_TITLE    3010  // Find an item in Report
#define DCMSG_FIND_TEXT     3011  // Text to find
#define DCMSG_FIND_NEW      3012  // New &Find
#define DCMSG_FIND_NEXT     3013  // Next Find
#define DCMSG_NOT_FOUND     3014  // Not Found

#define DCMSG_CALEN_DAY     3100  // Day
#define DCMSG_CALEN_WEEK    3101  // Week
#define DCMSG_CALEN_MONTH   3102  // Month
#define DCMSG_CALEN_YEAR    3103  // Year
#define DCMSG_CALEN_MWEEK   3104  // Week Header (Monday start)
#define DCMSG_CALEN_SWEEK   3105  // Week Header (Sunday start)
#define DCMSG_CALEN_TITLE   3106  // Title
#define DCMSG_CALEN_MONTH1  3107  // January
#define DCMSG_CALEN_MONTH2  3108  // February
#define DCMSG_CALEN_MONTH3  3109  // March
#define DCMSG_CALEN_MONTH4  3110  // April
#define DCMSG_CALEN_MONTH5  3111  // May
#define DCMSG_CALEN_MONTH6  3112  // June
#define DCMSG_CALEN_MONTH7  3113  // July
#define DCMSG_CALEN_MONTH8  3114  // August
#define DCMSG_CALEN_MONTH9  3115  // September
#define DCMSG_CALEN_MONTH10 3116  // October
#define DCMSG_CALEN_MONTH11 3117  // November
#define DCMSG_CALEN_MONTH12 3118  // December
#define DCMSG_CALEN_DAY1    3107  // Sunday
#define DCMSG_CALEN_DAY2    3108  // Monday
#define DCMSG_CALEN_DAY3    3109  // Tuesday
#define DCMSG_CALEN_DAY4    3110  // Wednesday
#define DCMSG_CALEN_DAY5    3111  // Thursday
#define DCMSG_CALEN_DAY6    3112  // Friday
#define DCMSG_CALEN_DAY7    3113  // Saturday
#define DCMSG_CALC_TITLE    3200  // Calculator title
#define DCMSG_CALC_TOTAL    3201  // Calculator total
#define DCMSG_CALC_MEM      3202  // Calculator memory

#define DCMSG_FIND_SEEK     3210  // AutoSeek Prompt
#define DCMSG_FIND_TOOLTIP  3211  // AutoSeek Tooltip
#define DCMSG_FIND_NOINDEX  3212  // No Index/Sort on this Column

/* DC_Printer() Class */

#define DCMSG_PC_PROPERTIES 4001  // Properties
#define DCMSG_PC_STATUS     4002  // Status
#define DCMSG_PC_READY      4003  // Default printer; ready
#define DCMSG_PC_TYPE       4004  // Type
#define DCMSG_PC_WHERE      4005  // Where
#define DCMSG_PC_COMMENT    4006  // Comment
#define DCMSG_PC_PRINTFILE  4007  // Print to File
#define DCMSG_PC_PRINTRANGE 4008  // Print Range
#define DCMSG_PC_ALL        4009  // All
#define DCMSG_PC_PAGES      4010  // Pages
#define DCMSG_PC_SELECTED   4011  // Selected
#define DCMSG_PC_FROM       4012  // From
#define DCMSG_PC_TO         4013  // To
#define DCMSG_PC_COPIES     4014  // Copies
#define DCMSG_PC_NMBRCOPIES 4015  // Number of Copies
#define DCMSG_PC_PAGE       4016  // Page
#define DCMSG_PC_ROWS       4017  // Rows
#define DCMSG_PC_COLUMNS    4018  // Columns
#define DCMSG_PC_FONT       4019  // Font
#define DCMSG_PC_PRINTPRVW  4020  // Print Preview
#define DCMSG_PC_PRINTER    4021  // Printer
#define DCMSG_PC_NPCOLUMNS  4022  // Non-Proportional Columns
#define DCMSG_PC_NAME       4023  // Name
#define DCMSG_PC_OUTFILE    4024  // Text File Name
#define DCMSG_PC_FILEMSG    4025  // File Exists.  Overwrite?

#define DCMSG_WIN_CASCADE   4100  // Cascade Windows
#define DCMSG_WIN_MINIMIZE  4102  // Minimize All Windows
#define DCMSG_WIN_MAXIMIZE  4103  // Maximize All Windows
#define DCMSG_WIN_CLOSEALL  4104  // Close All Windows

