/*
 ķ
   Program..: KEYPAD.PRG                            
   Author...: Nick Alexander                        
   Date.....: Dec 20, 2000                          
 Ľ
*/

#include 'inkey.ch'
#include 'dccolor.ch'
#include 'appevent.ch'
#include 'gra.ch'
#include 'xbp.ch'
#include 'dcmsg.ch'
#include 'dcdialog.ch'

MEMVAR lCapsLock, cCapsLock

FUNCTION PopKeyPad( cValue )


   LOCAL GetList := {}, GetOptions, cSaveValue, oCancelButton, ;
         nWidth := AppDeskTop():currentSize()[1]

   PRIVATE lFirstTime := .t., lCapsLock, cCapsLock

	DEFAULT cValue := space(30)
	DEFAULT lCapsLock := .F.
	DEFAULT cCapsLock := '         '

	cSaveValue := cValue

	@   0,  0 DCGET cValue FONT '20.Courier New Bold' SIZE 680,40 PIXEL EDITPROTECT {||.t.}

	@  50,  0 DCGET cCapsLock PIXEL EDITPROTECT {||.T.}

	@ 100,  0 DCPUSHBUTTON CAPTION 4001 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('1','!',@cValue,GetList)} ;
   	ACCELKEY Asc('1') ;
      EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4001,4101) } ) } }

	@ 100, 50 DCPUSHBUTTON CAPTION 4002 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('2','@',@cValue,GetList)} ;
   	ACCELKEY Asc('2') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4002,4102) } ) } }

	@ 100,100 DCPUSHBUTTON CAPTION 4003 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('3','#',@cValue,GetList)} ;
   	ACCELKEY Asc('3') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4003,4103) } ) } }

	@ 100,150 DCPUSHBUTTON CAPTION 4004 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('4','$',@cValue,GetList)} ;
   	ACCELKEY Asc('4') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4004,4104) } ) } }

	@ 100,200 DCPUSHBUTTON CAPTION 4005 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('5','%',@cValue,GetList)} ;
   	ACCELKEY Asc('5') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4005,4105) } ) } }

	@ 100,250 DCPUSHBUTTON CAPTION 4006 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('6','^',@cValue,GetList)} ;
   	ACCELKEY Asc('6') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4006,4106) } ) } }

	@ 100,300 DCPUSHBUTTON CAPTION 4007 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('7','&',@cValue,GetList)} ;
   	ACCELKEY Asc('7') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4007,4107) } ) } }

	@ 100,350 DCPUSHBUTTON CAPTION 4008 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('8','*',@cValue,GetList)} ;
   	ACCELKEY Asc('8') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4008,4108) } ) } }

	@ 100,400 DCPUSHBUTTON CAPTION 4009 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('9','(',@cValue,GetList)} ;
   	ACCELKEY Asc('9') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4009,4109) } ) } }

	@ 100,450 DCPUSHBUTTON CAPTION 4010 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('0',')',@cValue,GetList)} ;
   	ACCELKEY Asc('0') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4010,4110) } ) } }

	@ 100,500 DCPUSHBUTTON CAPTION 4011 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('-','_',@cValue,GetList)} ;
   	ACCELKEY Asc('-') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4011,4111) } ) } }

	@ 100,550 DCPUSHBUTTON CAPTION 4012 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('=','_',@cValue,GetList)} ;
   	ACCELKEY Asc('=') ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4012,4112) } ) } }

	@ 100,600 DCPUSHBUTTON CAPTION 4013 FONT '16.Arial Bold' SIZE 80,50 PIXEL ;
   	ACTION {||cValue := Substr(cValue,1,Len(cValue)-1),DC_GetRefresh(Getlist)} ;
   	ACCELKEY 8 ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4013,4113) } ) } }


	@ 150, 20 DCPUSHBUTTON CAPTION 4014 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('q','Q',@cValue,GetList)} ;
   	ACCELKEY {Asc('q'),Asc('Q')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4014,4114) } ) } }

	@ 150, 70 DCPUSHBUTTON CAPTION 4015 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('w','W',@cValue,GetList)} ;
   	ACCELKEY {Asc('w'),Asc('W')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4015,4115) } ) } }

	@ 150,120 DCPUSHBUTTON CAPTION 4016 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('e','E',@cValue,GetList)} ;
   	ACCELKEY {Asc('e'),Asc('E')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4016,4116) } ) } }

	@ 150,170 DCPUSHBUTTON CAPTION 4017 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('r','R',@cValue,GetList)} ;
   	ACCELKEY {Asc('r'),Asc('R')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4017,4117) } ) } }

	@ 150,220 DCPUSHBUTTON CAPTION 4018 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('t','T',@cValue,GetList)} ;
   	ACCELKEY {Asc('t'),Asc('T')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4018,4118) } ) } }

	@ 150,270 DCPUSHBUTTON CAPTION 4019 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('y','Y',@cValue,GetList)} ;
   	ACCELKEY {Asc('y'),Asc('Y')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4019,4119) } ) } }

	@ 150,320 DCPUSHBUTTON CAPTION 4020 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('u','U',@cValue,GetList)} ;
   	ACCELKEY {Asc('u'),Asc('U')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4020,4120) } ) } }

	@ 150,370 DCPUSHBUTTON CAPTION 4021 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('i','I',@cValue,GetList)} ;
   	ACCELKEY {Asc('i'),Asc('I')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4021,4121) } ) } }

	@ 150,420 DCPUSHBUTTON CAPTION 4022 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('o','O',@cValue,GetList)} ;
   	ACCELKEY {Asc('o'),Asc('O')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4022,4122) } ) } }

	@ 150,470 DCPUSHBUTTON CAPTION 4023 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('p','P',@cValue,GetList)} ;
   	ACCELKEY {Asc('p'),Asc('P')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4023,4123) } ) } }

	@ 150,520 DCPUSHBUTTON CAPTION 4024 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('[','{',@cValue,GetList)} ;
   	ACCELKEY {Asc('['),Asc('{')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4024,4124) } ) } }

	@ 150,570 DCPUSHBUTTON CAPTION 4025 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum(']','}',@cValue,GetList)} ;
   	ACCELKEY {Asc(']'),Asc('}')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4025,4125) } ) } }

	@ 150,620 DCPUSHBUTTON CAPTION 4026 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('\','|',@cValue,GetList)} ;
   	ACCELKEY {Asc('\'),Asc('|')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4026,4126) } ) } }

	@ 200, 40 DCPUSHBUTTON CAPTION 4027 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('a','A',@cValue,GetList)} ;
   	ACCELKEY {Asc('a'),Asc('A')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4027,4127) } ) } }

	@ 200, 90 DCPUSHBUTTON CAPTION 4028 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('s','S',@cValue,GetList)} ;
   	ACCELKEY {Asc('s'),Asc('S')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4028,4128) } ) } }

	@ 200,140 DCPUSHBUTTON CAPTION 4029 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('d','D',@cValue,GetList)} ;
   	ACCELKEY {Asc('d'),Asc('D')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4029,4129) } ) } }

	@ 200,190 DCPUSHBUTTON CAPTION 4030 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('f','F',@cValue,GetList)} ;
   	ACCELKEY {Asc('f'),Asc('F')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4030,4130) } ) } }

	@ 200,240 DCPUSHBUTTON CAPTION 4031 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('g','G',@cValue,GetList)} ;
   	ACCELKEY {Asc('g'),Asc('G')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4031,4131) } ) } }

	@ 200,290 DCPUSHBUTTON CAPTION 4032 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('h','H',@cValue,GetList)} ;
   	ACCELKEY {Asc('h'),Asc('H')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4032,4132) } ) } }

	@ 200,340 DCPUSHBUTTON CAPTION 4033 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('j','J',@cValue,GetList)} ;
   	ACCELKEY {Asc('j'),Asc('J')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4033,4133) } ) } }

	@ 200,390 DCPUSHBUTTON CAPTION 4034 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('k','K',@cValue,GetList)} ;
   	ACCELKEY {Asc('k'),Asc('K')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4034,4134) } ) } }

	@ 200,440 DCPUSHBUTTON CAPTION 4035 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('l','L',@cValue,GetList)} ;
   	ACCELKEY {Asc('l'),Asc('L')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4035,4135) } ) } }

	@ 200,490 DCPUSHBUTTON CAPTION 4036 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum(';',':',@cValue,GetList)} ;
   	ACCELKEY {Asc(';'),Asc(':')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4036,4136) } ) } }

	@ 200,540 DCPUSHBUTTON CAPTION 4037 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum("'",'"',@cValue,GetList)} ;
   	ACCELKEY {Asc("'"),Asc('"')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4037,4137) } ) } }

	@ 250, 60 DCPUSHBUTTON CAPTION 4038 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('z','Z',@cValue,GetList)} ;
   	ACCELKEY {Asc('z'),Asc('Z')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4038,4138) } ) } }

	@ 250,110 DCPUSHBUTTON CAPTION 4039 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('x','X',@cValue,GetList)} ;
   	ACCELKEY {Asc('x'),Asc('X')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4039,4139) } ) } }

	@ 250,160 DCPUSHBUTTON CAPTION 4040 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('c','C',@cValue,GetList)} ;
   	ACCELKEY {Asc('c'),Asc('C')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4040,4140) } ) } }

	@ 250,210 DCPUSHBUTTON CAPTION 4041 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('v','V',@cValue,GetList)} ;
   	ACCELKEY {Asc('v'),Asc('V')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4041,4141) } ) } }

	@ 250,260 DCPUSHBUTTON CAPTION 4042 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('b','B',@cValue,GetList)} ;
   	ACCELKEY {Asc('b'),Asc('B')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4042,4142) } ) } }

	@ 250,310 DCPUSHBUTTON CAPTION 4043 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('n','N',@cValue,GetList)} ;
   	ACCELKEY {Asc('n'),Asc('N')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4043,4143) } ) } }

	@ 250,360 DCPUSHBUTTON CAPTION 4044 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('m','M',@cValue,GetList)} ;
   	ACCELKEY {Asc('m'),Asc('M')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4044,4144) } ) } }

	@ 250,410 DCPUSHBUTTON CAPTION 4045 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum(',','<',@cValue,GetList)} ;
   	ACCELKEY {Asc(','),Asc('<')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4045,4145) } ) } }

	@ 250,460 DCPUSHBUTTON CAPTION 4046 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('.','>',@cValue,GetList)} ;
   	ACCELKEY {Asc('.'),Asc('>')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4046,4146) } ) } }

	@ 250,510 DCPUSHBUTTON CAPTION 4047 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   	ACTION {||Accum('/','?',@cValue,GetList)} ;
   	ACCELKEY {Asc('/'),Asc('?')} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4047,4147) } ) } }

   @ 300, 0 DCPUSHBUTTON CAPTION {||IIF( lCapsLock,4148,4048) } FONT '16.Arial Bold' SIZE 100,50 PIXEL ;
      ACTION {|a,b,o|lCapsLock:=!lCapsLock, ;
                     cCapsLock:=iif(lCapsLock,'Caps Lock','         '), ;
                     DC_GetRefresh(GetList)} ;
      ;// EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4048,4148) } ) } }

	@ 300,100 DCPUSHBUTTON CAPTION 4049 FONT '16.Arial Bold' SIZE 400,50 PIXEL ;
   	ACTION {||Accum(' ',' ',@cValue,GetList)} ;
   	ACCELKEY 32 ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4049,4149) } ) } }

   @ 300,500 DCPUSHBUTTON CAPTION {||IIF(lCapsLock,4148,4048)} FONT '16.Arial Bold' SIZE 100,50 PIXEL ;
   	ACTION {||lCapsLock:=!lCapsLock,cCapsLock:=iif(lCapsLock,'Caps Lock','         '),DC_GetRefresh(GetList)} ;
      ;// EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4048,4148) } ) } }

	@ 200,590 DCPUSHBUTTON CAPTION 4050 FONT '12.Arial Bold' SIZE 90,50 PIXEL ;
   	ACCELKEY 13 ;
   	ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4050,4150) } ) } }

	@ 300,600 DCPUSHBUTTON CAPTION 4051 FONT '12.Arial Bold' SIZE 80,50 PIXEL ;
   	ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList)} ;
   	ACCELKEY 27 ;
   	OBJECT oCancelButton ;
   	EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,4051,4151) } ) } }

	IF nWidth > 900

		@ 100,  0+700 DCPUSHBUTTON CAPTION 2107 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('7','7',@cValue,GetList)} ;
   		ACCELKEY Asc('7') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2107,2207) } ) } }

		@ 100, 60+700 DCPUSHBUTTON CAPTION 2108 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('8','8',@cValue,GetList)} ;
   		ACCELKEY Asc('8') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2108,2208) } ) } }

		@ 100,120+700 DCPUSHBUTTON CAPTION 2109 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('9','9',@cValue,GetList)} ;
   		ACCELKEY Asc('9') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2109,2209) } ) } }


		@ 166,  0+700 DCPUSHBUTTON CAPTION 2104 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('4','4',@cValue,GetList)} ;
   		ACCELKEY Asc('4') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2104,2204) } ) } }

		@ 166, 60+700 DCPUSHBUTTON CAPTION 2105 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('5','5',@cValue,GetList)} ;
   		ACCELKEY Asc('5') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2105,2205) } ) } }

		@ 166,120+700 DCPUSHBUTTON CAPTION 2106 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('6','6',@cValue,GetList)} ;
   		ACCELKEY Asc('6') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2106,2206) } ) } }


		@ 233,  0+700 DCPUSHBUTTON CAPTION 2101 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('1','1',@cValue,GetList)} ;
   		ACCELKEY Asc('1') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2101,2201) } ) } }

		@ 233, 60+700 DCPUSHBUTTON CAPTION 2102 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('2','2',@cValue,GetList)} ;
   		ACCELKEY Asc('2') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2102,2202) } ) } }

		@ 233,120+700 DCPUSHBUTTON CAPTION 2103 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('3','3',@cValue,GetList)} ;
   		ACCELKEY Asc('3') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2103,2203) } ) } }


		@ 300,  0+700 DCPUSHBUTTON CAPTION 2100 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('0','0',@cValue,GetList)} ;
   		ACCELKEY Asc('0') ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2100,2200) } ) } }

		@ 300, 60+700 DCPUSHBUTTON CAPTION 2110 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('.','.',@cValue,GetList)} ;
   		ACCELKEY 46 ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2110,2210) } ) } }

		@ 300,120+700 DCPUSHBUTTON CAPTION 2112 FONT '16.Arial Bold' SIZE 50,50 PIXEL ;
   		ACTION {||Accum('-','-',@cValue,GetList)} ;
   		ACCELKEY 45 ;
   		EVAL {|o|o:lbdown := {|a,b,o,t|t:=Thread():new(),t:start({||_Flash(o,2112,2212) } ) } }

	ENDIF


	DCGETOPTIONS ;
	 	COLOR GRA_CLR_DARKBLUE ;
	 	;//NOMINBUTTON ;
	 	;//NOMAXBUTTON

	DCREAD GUI ;
   	FIT ;
	 	MODAL ;
   	TITLE 'Virtual Keyboard' ;
   	SETFOCUS @oCancelButton ;
   	TO lStatus ;
   	OPTIONS GetOptions ;

	IF !lStatus
  	cValue := cSaveValue
	ENDIF

RETURN cValue

STATIC FUNCTION Accum ( cKey, cCapsKey, cValue, GetList )

	IF lFirstTime
  	cValue := ''
//	ELSE
  //	cValue := Alltrim(cValue)
	ENDIF

	lFirstTime := .f.

	cValue += iif(lCapsLock,cCapsKey,cKey)

	//cValue := PadL(cValue,30)

	DC_GetRefresh(GetList)

RETURN nil


* -----------

STATIC FUNCTION _Flash( oButton, cCaption1, cCaption2 )

oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)
oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)

RETURN nil



